Subject: [GROW] RFC 6396 (Multi-Threaded Routing Toolkit (MRT) Routing Information Export Format) and Aggregator attribute

From: RAMAKRISHNADTV <[email-masked]>
Date: Thu, 19 Dec 2013 08:33:46 +0000

Hi,

I request a clarification on the following point related to
RFC 6396 (Multi-Threaded Routing Toolkit (MRT) Routing Information
Export Format).

Section 4.3.4 says: "All AS numbers in the AS_PATH attribute MUST be
encoded as 4-byte AS numbers."

With the support 4-byte AS numbers, AS_PATH has dual encoding.
It is encoded differently depending on whether the peer supports
4-byte AS numbers or not. Presumably to simplify the decoding of
MRT database, MRT RFC elected to have a single format for AS_PATH.

RFC 6793, which added support for 4-byte AS numbers, has such dual
encoding not only for AS_PATH attribute but also for AGGREGATOR attribute.

But RFC 6396 is silent on the encoding of AGGREGATOR attribute.

Was that intentional or an oversight?

Using a single format for AGGREGATOR attribute also will simplify
decoders. In any case, it would be better if the RFC clarifies how
AGGREGATOR attribute may be encoded.

As a side-note, the MRT decoder BGPDUMP at
http://www.ris.ripe.net/source/bgpdump/ seems to assume that AGGREGATOR
attribute also uses single format of 4-byte AS numbers rather than
2-byte AS numbers (just like it does for AS_PATH attribute).

As another side-note, Quagga seems to encode AGGREGATOR attribute with
4-byte AS number always for MRT.

Could you please comment?

Regards,
Ramakrishna DTV.

**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely 
for the use of the addressee(s). If you are not the intended recipient, please 
notify the sender by e-mail and delete the original message. Further, you are not 
to copy, disclose, or distribute this e-mail or its contents to any other person and 
any such actions are unlawful. This e-mail may contain viruses. Infosys has taken 
every reasonable precaution to minimize this risk, but is not liable for any damage 
you may sustain as a result of any virus in this e-mail. You should carry out your 
own virus checks before opening the e-mail or attachment. Infosys reserves the 
right to monitor and review the content of all messages sent to or from this e-mail 
address. Messages sent to or from this e-mail address may be stored on the 
Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***